using UnityEngine;

namespace SNWH
{
    public class SNWH
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spider Man (Integrated Suit) <color=yellow>",
                    DescriptionOverride = "<color=white>GoldAndRed",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SGView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SG.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Spider Man (Black And Gold Suit) <color=yellow>",
                    DescriptionOverride = "<color=white>BlackAndGold",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SBGView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SBG.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Doctor Octavius <color=yellow>",
                    DescriptionOverride = "<color=white>Big Metal Tenticle man",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("DocOckView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("DocOck.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);
                    }
                }
            );
        }
    }
}